curl -X DELETE "https://app.runtm.com/api/cloud/user/provider-keys/anthropic" \
-H "Authorization: Bearer runtm_xxx"
import requests
provider = "anthropic"
resp = requests.delete(
f"https://app.runtm.com/api/cloud/user/provider-keys/{provider}",
headers={"Authorization": "Bearer runtm_xxx"},
)
print(resp.json())
const provider = "anthropic";
const resp = await fetch(
`https://app.runtm.com/api/cloud/user/provider-keys/${provider}`,
{
method: "DELETE",
headers: {
Authorization: "Bearer runtm_xxx",
},
}
);
const data = await resp.json();
{
"provider": "anthropic",
"connected": false,
"key_preview": null,
"updated_at": null
}
User Keys
Delete User Provider Key
Remove a stored provider API key for the authenticated user.
DELETE
/
api
/
user
/
provider-keys
/
{provider}
curl -X DELETE "https://app.runtm.com/api/cloud/user/provider-keys/anthropic" \
-H "Authorization: Bearer runtm_xxx"
import requests
provider = "anthropic"
resp = requests.delete(
f"https://app.runtm.com/api/cloud/user/provider-keys/{provider}",
headers={"Authorization": "Bearer runtm_xxx"},
)
print(resp.json())
const provider = "anthropic";
const resp = await fetch(
`https://app.runtm.com/api/cloud/user/provider-keys/${provider}`,
{
method: "DELETE",
headers: {
Authorization: "Bearer runtm_xxx",
},
}
);
const data = await resp.json();
{
"provider": "anthropic",
"connected": false,
"key_preview": null,
"updated_at": null
}
Deletes the provider API key for the authenticated user. After deletion, the user will need to configure a new key or rely on an organization-level key.
Required scope:
integrations:write
string
required
The provider name. One of:
anthropic, openai, cursor, devin, gemini, copilot.string
required
Bearer token.
Authorization: Bearer runtm_xxxstring
The provider name.
boolean
Always
false after deletion.string
Always
null after deletion.string
Always
null after deletion.curl -X DELETE "https://app.runtm.com/api/cloud/user/provider-keys/anthropic" \
-H "Authorization: Bearer runtm_xxx"
import requests
provider = "anthropic"
resp = requests.delete(
f"https://app.runtm.com/api/cloud/user/provider-keys/{provider}",
headers={"Authorization": "Bearer runtm_xxx"},
)
print(resp.json())
const provider = "anthropic";
const resp = await fetch(
`https://app.runtm.com/api/cloud/user/provider-keys/${provider}`,
{
method: "DELETE",
headers: {
Authorization: "Bearer runtm_xxx",
},
}
);
const data = await resp.json();
{
"provider": "anthropic",
"connected": false,
"key_preview": null,
"updated_at": null
}